Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.opencyc.chat

Interface Summary
ChatSender | Defines a chat message sender interface.

Class Summary
ChatInterpreter | Provides a chat conversation interpreter.
ChatterBot | Provides a chat conversation interface to Cyc.
ChatUserModel | Provides a chat user model.
ConsoleChat | Provides a console chat application using the Cyc ChatterBot.
IrcChat |
UnitTest | Provides a unit test suite for the `org.opencyc.chat` package

Exception Summary
ChatException | Class ChatException indicates an error condition during a Cyc API call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES